<?php 
session_start();
include('../conexion.php'); 

if(isset($_SESSION['carrito']) || isset($_POST['art_id']))
{
$cantidad=$_POST['cantidad'];
$art_id=$_POST['art_id'];

if (isset($_POST['atributo1'])){ $atributo1=$_POST['atributo1'];} else { $atributo1=0;}
if (isset($_POST['atributo2'])){ $atributo2=$_POST['atributo2'];} else { $atributo2=0;}

$cano1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id='$art_id' AND atributo1='$atributo1' AND atributo2='$atributo2' ") 
or die(mysqli_error($con));
$cero2=mysqli_fetch_array($cano1);
$art_art_id=$cero2["art_id"];

if($cantidad<>null)
{
	$cano=mysqli_query($con,"SELECT art_cantidad FROM articulos_has_bodegas WHERE art_id='$art_art_id'") or die(mysqli_error($con));
	$cero5=mysqli_fetch_array($cano);
	$art_cantidad=$cero5['art_cantidad']; ?>

<script type="text/javascript">
alert($art_cantidad);
</script>

	<?php 
    if($art_cantidad>0)
    {
		if(isset ($_SESSION['carrito']))
		{
			$carrito_mio=$_SESSION['carrito'];
			$donde=-1;

			for($i=0;$i<=count($carrito_mio)-1;$i ++)
			{
				if(isset($carrito_mio[$i]['art_art_id']) && $art_art_id == $carrito_mio[$i]['art_art_id'])
				{
					$donde=$i;
				}
			}
			
			if($donde != -1)
			{
				 $cuanto=$carrito_mio[$donde]['cantidad'] + $cantidad;

				if($art_cantidad < $cuanto) 
				{ 
				?>
				<div class="fixedContainer">
				<center><img src="img/cantidades.png">No es posible agregar más cantidades.</center>
				</div>
				<?php 
				} 
				else
				{
					$carrito_mio[$donde]=array("cantidad"=>$cuanto,"art_art_id"=>$art_art_id,"atributo1"=>$atributo1,"atributo2"=>$atributo2);
					$_SESSION['carrito']=$carrito_mio;?>

					<div class="fixedContainer">
					<center><img src="img/agregar.png">Se agregó al carrito.</center>
					</div><?php
				}
			}
			else
			{   

		    $carrito_mio[]=array("cantidad"=>$cantidad,"art_art_id"=>$art_art_id,"atributo1"=>$atributo1,"atributo2"=>$atributo2);
			$_SESSION['carrito']=$carrito_mio;
			?>
				<div class="fixedContainer">
					<center><img src="img/agregar.png">Se agregó al carrito.</center>
				</div>
			<?php
			}
		}
		else 
		{
			if($art_cantidad >= $cantidad) 
			{
				$carrito_mio[]=array("art_art_id"=>$art_art_id,"cantidad"=>$cantidad,"atributo1"=>$atributo1,"atributo2"=>$atributo2);
				$_SESSION['carrito']=$carrito_mio;
			?>
				<div class="fixedContainer">
					<center><img src="img/agregar.png">Se agregó al carrito.</center>
				</div>
			<?php 
			}
			else
			{ ?>
				<div class="fixedContainer">
				    <center><img src="img/cantidades.png">No es posible agregar más cantidades./center>
				</div>
			   <?php
			}
		}
	}	
	else
	{  ?>
		<div class="fixedContainer">
			<center><img src="img/cantidades.png">No es posible agregar más cantidadddddddes.</center>
		</div>
	   <?php 
	} 
}
else
{ ?>
	<div class="fixedContainer">
		<center><img src="img/cantidades.png">No es posible agregar más cantidadesssss.</center>
	</div>
<?php 
}

}

?>
<script>
	$(document).ready(function() {
	setTimeout(function() {
        $(".fixedContainer").fadeOut(1000);
    },1000);
});



</script>


<style>
.fixedContainer {
background-color:#ffff;
position: fixed;
padding: 2em;
left: 50%;
top: 50%;
transform: translate(-50%, -50%);
z-index: 10000;
border-radius: 5px; ;
}
</style>
